<h2 mat-dialog-title>Enter Name</h2>

<div class="example-container">
  <mat-dialog-content class="mat-typography">
    <form [formGroup]="form">
  
      <mat-form-field appearance="standard" class="w-100" style="width: 100%">
        <mat-label>Shared To</mat-label>
        <input matInput placeholder="Client Name" formControlName="title" type="text" name="title" required>
        <mat-error>Enter valid text</mat-error>
    </mat-form-field>
  
  
  </form>
</mat-dialog-content>
  <mat-dialog-actions align="end">
    <button mat-button  [mat-dialog-close]="null">Cancel</button>
    <button mat-raised-button color="primary" [mat-dialog-close]="form.value" [disabled]="form.status == 'INVALID'" cdkFocusInitial>Generate Link</button>
  </mat-dialog-actions>
</div>

<!-- <mat-dialog-actions align="end">
  <button mat-button  [mat-dialog-close]="null">Cancel</button>
  <button mat-raised-button color="primary" [mat-dialog-close]="form.value" [disabled]="form.status == 'INVALID' || logo.url.length==0" cdkFocusInitial>Add Brand</button>
</mat-dialog-actions> -->
